<template>
    <div class="item-gallery">
        <swiper
            class="swiper-container gallery-top"
            :options="swiperOptionTop"
            ref="swiperTop"
        >
            <swiper-slide>
                <figure
                    itemprop="associatedMedia"
                    itemscope
                    itemtype="http://schema.org/ImageObject"
                >
                    
                        <img
                            v-photoswipe:group1
                            src="/img/demo/property/1.jpg"
                            class="img-fluid pointer"
                            alt="Drawing Room"
                        />
                    
                </figure>
            </swiper-slide>
            <swiper-slide>
                <figure
                    itemprop="associatedMedia"
                    itemscope
                    itemtype="http://schema.org/ImageObject"
                >
                    
                        <img
                            v-photoswipe:group1
                            v-lazy="'/img/demo/property/2.jpg'"
                            class="img-fluid pointer"
                            alt="Drawing Room"
                        />
                    
                </figure>
            </swiper-slide>
            <swiper-slide>
                <figure
                    itemprop="associatedMedia"
                    itemscope
                    itemtype="http://schema.org/ImageObject"
                >
                    
                        <img
                            v-photoswipe:group1
                            v-lazy="'/img/demo/property/3.jpg'"
                            class="img-fluid pointer"
                            alt="Drawing Room"
                        />
                    
                </figure>
            </swiper-slide>
            <swiper-slide>
                <figure
                    itemprop="associatedMedia"
                    itemscope
                    itemtype="http://schema.org/ImageObject"
                >
                    
                        <img
                            v-photoswipe:group1
                            v-lazy="'/img/demo/property/4.jpg'"
                            class="img-fluid pointer"
                            alt="Drawing Room"
                        />
                    
                </figure>
            </swiper-slide>
            <swiper-slide>
                <figure
                    itemprop="associatedMedia"
                    itemscope
                    itemtype="http://schema.org/ImageObject"
                >
                    
                        <img
                            v-photoswipe:group1
                            v-lazy="'/img/demo/property/5.jpg'"
                            class="img-fluid pointer"
                            alt="Drawing Room"
                        />
                    
                </figure>
            </swiper-slide>
            <div class="swiper-button-next swiper-button-white" slot="button-next"></div>
            <div class="swiper-button-prev swiper-button-white" slot="button-prev"></div>
        </swiper>
        <swiper
            class="swiper-container gallery-thumbs"
            :options="swiperOptionThumbs"
            ref="swiperThumbs"
        >
            <swiper-slide style="width:176px;margin-right:10px">
                <img
                    src="/img/demo/property/thumb/2.jpg"
                    class="img-fluid"
                    alt=""
                />
            </swiper-slide>
            <swiper-slide style="width:176px;margin-right:10px">
                <img
                    src="/img/demo/property/thumb/3.jpg"
                    class="img-fluid"
                    alt=""
                />
            </swiper-slide>
            <swiper-slide style="width:176px;margin-right:10px">
                <img
                    src="/img/demo/property/thumb/4.jpg"
                    class="img-fluid"
                    alt=""
                />
            </swiper-slide>
            <swiper-slide style="width:176px;margin-right:10px">
                <img
                    src="/img/demo/property/thumb/5.jpg"
                    class="img-fluid"
                    alt=""
                />
            </swiper-slide>
            <swiper-slide style="width:176px;margin-right:10px">
                <img
                    src="/img/demo/property/thumb/6.jpg"
                    class="img-fluid"
                    alt=""
                />
            </swiper-slide>
        </swiper>
    </div>
</template>
<script>
import { Swiper, SwiperSlide } from 'vue-awesome-swiper'
export default {
    components: {
      Swiper,
      SwiperSlide,
    },
    data() {
      return {
        swiperOptionTop: {
          loop: true,
          loopedSlides: 1, // looped slides should be the same
          spaceBetween: 10,
          navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev'
          }
        },
        swiperOptionThumbs: {
          loop: true,
          loopedSlides: 1, // looped slides should be the same
          spaceBetween: 10,
          centeredSlides: true,
          slidesPerView: 'auto',
          touchRatio: 0.2,
          slideToClickedSlide: true
        }
      }
    },
    mounted() {
      this.$nextTick(() => {
        const swiperTop = this.$refs.swiperTop.$swiper
        const swiperThumbs = this.$refs.swiperThumbs.$swiper
        swiperTop.controller.control = swiperThumbs
        swiperThumbs.controller.control = swiperTop
      })
    }
};
</script>
<style >
.pointer{
    cursor: pointer;
}
</style>
